#define WINVER 0x0500
#include <windows.h>
#include <string.h>
BOOL CALLBACK EnumWindowsProc(HWND hwnd , LPARAM lp)
{
	WINDOWINFO winfo;
	TCHAR buf[1024];
	DWORD style;
	GetWindowText(hwnd, buf, sizeof(buf));
	if (strcmp(lp, buf) == 0) {
		GetWindowInfo(hwnd, &winfo);
		if (winfo.dwExStyle & WS_EX_TOPMOST)
			style = HWND_NOTOPMOST;
		else 
			style = HWND_TOPMOST;
		SetWindowPos(hwnd, style,
			0, 0, 0, 0, SWP_NOMOVE|SWP_NOSIZE);
	}
	return TRUE;
}

int main(int argc, char **argv)
{
	if (argc != 2) {
		printf("@:topmost.exe WindowName\n");
		return 0;
	}
	EnumWindows(EnumWindowsProc , (LPARAM)argv[1]);
	return 0;
}
